| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
Incident Class Reference

Base class for all Incidents (computing events). More...

`#include <GaudiKernel/Incident.h>`

Inheritance diagram for Incident:
[legend]
Collaboration diagram for Incident:
[legend]

## Public Member Functions
| Incident (const std::string &source, const std::string &type)
| Default Constructor. More...
| Incident (const std::string &source, const std::string &type, const EventContext &ctx)
virtual | ~Incident ()=default
| Destructor. More...
const std::string & | type () const
| Access to the incident type. More...
const std::string & | source () const
| Access to the source of the incident. More...
EventContext | context () const
| Access to the EventContext of the source of the incident. More...

## Private Attributes
std::string | m_source
| Incident source. More...
std::string | m_type
| incident type More...
EventContext | m_ctx
| Event Context when Incident created. More...

## Detailed Description

Base class for all Incidents (computing events).

Author
  P. Mato

Date
  2001/01/19

Definition at line 17 of file Incident.h.

## Constructor & Destructor Documentation

## ◆ Incident() [1/2]

Incident::Incident | ( | const std::string & | source,
|  | const std::string & | type
| ) |  |

Default Constructor.

Parameters

  source | Incident source (service or algorithm name)
  type | Incident type

Definition at line 5 of file Incident.cpp.

5 : m_source( source ), m_type( type ) {
6 m_ctx = Gaudi::Hive::currentContext();
7 }
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:38
Incident::source
const std::string & source() const
Access to the source of the incident.
Definition: Incident.h:44
Incident::m_type
std::string m_type
incident type
Definition: Incident.h:54
Gaudi::Hive::currentContext
GAUDI_API const EventContext & currentContext()
Definition: ThreadLocalContext.cpp:20
Incident::m_source
std::string m_source
Incident source.
Definition: Incident.h:53
Incident::m_ctx
EventContext m_ctx
Event Context when Incident created.
Definition: Incident.h:55

## ◆ Incident() [2/2]

Incident::Incident | ( | const std::string & | source,
|  | const std::string & | type,
|  | const EventContext & | ctx
| ) |  |
| inline

Parameters

  source | Incident source (service or algorithm name)
  type | Incident type
  ctx | EventContext

Definition at line 25 of file Incident.h.

29 : m_source( source ), m_type( type ), m_ctx( ctx ) {}
Incident::type
const std::string & type() const
Access to the incident type.
Definition: Incident.h:38
Incident::source
const std::string & source() const
Access to the source of the incident.
Definition: Incident.h:44
Incident::m_type
std::string m_type
incident type
Definition: Incident.h:54
Incident::m_source
std::string m_source
Incident source.
Definition: Incident.h:53
Incident::m_ctx
EventContext m_ctx
Event Context when Incident created.
Definition: Incident.h:55

## ◆ ~Incident()

virtual Incident::~Incident | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ context()

EventContext Incident::context | ( |  | ) | const
| inline

Access to the EventContext of the source of the incident.

Returns
  EventContext of the component that initiated the incident

Definition at line 50 of file Incident.h.

50 { return m_ctx; }
Incident::m_ctx
EventContext m_ctx
Event Context when Incident created.
Definition: Incident.h:55

## ◆ source()

const std::string& Incident::source | ( |  | ) | const
| inline

Access to the source of the incident.

Returns
  service or algorithm name that initiated the incident

Definition at line 44 of file Incident.h.

44 { return m_source; }
Incident::m_source
std::string m_source
Incident source.
Definition: Incident.h:53

## ◆ type()

const std::string& Incident::type | ( |  | ) | const
| inline

Access to the incident type.

Returns
  string descriptor for the incident type

Definition at line 38 of file Incident.h.

38 { return m_type; }
Incident::m_type
std::string m_type
incident type
Definition: Incident.h:54

## Member Data Documentation

## ◆ m_ctx

EventContext Incident::m_ctx
| private

Event Context when Incident created.

Definition at line 55 of file Incident.h.

## ◆ m_source

std::string Incident::m_source
| private

Incident source.

Definition at line 53 of file Incident.h.

## ◆ m_type

std::string Incident::m_type
| private

incident type

Definition at line 54 of file Incident.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/Incident.h
- GaudiKernel/src/Lib/Incident.cpp